import {model, ObjectId, Schema, Types} from "mongoose";

interface ISession {
    id: ObjectId,
    userId: ObjectId,
    token: string,
    userAgent: string
}

const SessionSchema = new Schema<ISession>({
    userId: {
        type: Types.ObjectId,
        required: true
    },
    token: {
        type: String,
        required: true
    },
    userAgent: String
});

export const Session = model<ISession>('sessions', SessionSchema);